PUT Upsert Batch Categories

Upsert a list of categories.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

UPSERT STATMENT

An upsert statement checks whether a product already exists with the code specified in the request body and either updates an existing product or creates a new one.

🚧

BATCH

This request is an array, so you can insert more than one category per query.

Request body example:

[
	{
		"code": "1",
		"name": "Level 1"
	},
	{
		"parentId": "{uuid}",
		"code": "11",
		"name": "Level 2"
	},
	{
		"parentId": "{uuid}",
		"code": "12",
		"name": "Another Level 2"
	},
	{
		"parentId": "{uuid}",
		"code": "121",
		"name": "Level 3"
	}
]

Category Entity

FieldTypeRequiredDescription
idstring (uuid)YesUnique identifier of the category.
clientIdstringYesIdentifier of the client submitting a category.
namestringYesCategory name.
descriptionstringYesCategory description.
codestringYesInternal category code. Can be used for mapping with the ERP.
ordernumberYesCategory position in the display ranking.
imageUrlstringNoURL of the category's main image.
iconUrlstringNoCategory icon URL (optional).
isActivebooleanYesSet whether the category is active.
parentIdstring (uuid)NoID of the parent category. If not specified, the category will be considered top-level.
Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
Body Params
RAW_BODY
array of objects
required

An array of categories

RAW_BODY*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…